Package org.springframework.aot.hint.predicate

# Class ReflectionHintsPredicates.ExecutableHintPredicate<T extends Executable>

java.lang.Object
org.springframework.aot.hint.predicate.ReflectionHintsPredicates.ExecutableHintPredicate<T>

All Implemented Interfaces:
  `Predicate<RuntimeHints>`

Direct Known Subclasses:
  `ReflectionHintsPredicates.ConstructorHintPredicate`, `ReflectionHintsPredicates.MethodHintPredicate`

Enclosing class:
  ReflectionHintsPredicates

public abstract static class ReflectionHintsPredicates.ExecutableHintPredicate<T extends Executable> extends Object implements Predicate<RuntimeHints>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final T`
`executable`
`protected ExecutableMode`
`executableMode`

## Method Summary

Modifier and Type
Method
Description
`ReflectionHintsPredicates.ExecutableHintPredicate<T>`
`introspect()`
Refine the current predicate to match for reflection introspection on the current type.
`ReflectionHintsPredicates.ExecutableHintPredicate<T>`
`invoke()`
Refine the current predicate to match for reflection invocation on the current type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or, test`

## Field Details

### executable

protected final T extends Executable executable

### executableMode

protected ExecutableMode executableMode

## Method Details

### introspect

public ReflectionHintsPredicates.ExecutableHintPredicate<T> introspect()
Refine the current predicate to match for reflection introspection on the current type.

Returns:
  the refined `RuntimeHints` predicate

### invoke

public ReflectionHintsPredicates.ExecutableHintPredicate<T> invoke()
Refine the current predicate to match for reflection invocation on the current type.

Returns:
  the refined `RuntimeHints` predicate